"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPrettyMessage = function (_a, content, filePath) {
    var location = _a.location, message = _a.message;
    var buffer = "";
    buffer += "Error: " + message + "\n";
    buffer += "In " + filePath + ":\n";
    var _b = getLines(content, location.start, location.end), lineStart = _b.lineStart, lines = _b.lines;
    buffer += "L" + lineStart + " " + content.substr(location.start, location.end);
    return buffer;
};
var getLines = function (content, start, end) {
    var lines = content.split("\n");
    var startLineIndex = -1;
    var endLineIndex = -1;
    var cpos = 0;
    for (var i = 0, length_1 = lines.length; i < length_1; i++) {
        var line = lines[i];
        cpos += line.length;
        if (startLineIndex === -1 && cpos >= start) {
            startLineIndex = i;
        }
        if (startLineIndex !== -1 && endLineIndex === -1 && cpos <= end) {
            endLineIndex = i;
        }
    }
    return {
        lineStart: startLineIndex,
        lines: lines.slice(startLineIndex, endLineIndex + 1)
    };
};
