"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringify_sheet_1 = require("./stringify-sheet");
exports.stringifyVirtualNode = function (node) {
    switch (node.kind) {
        case "Fragment":
            return stringifyChildren(node);
        case "Element": {
            var buffer = "<" + node.tagName;
            for (var _i = 0, _a = node.attributes; _i < _a.length; _i++) {
                var attr = _a[_i];
                if (attr.value) {
                    buffer += " " + attr.name + "=\"" + attr.value + "\"";
                }
                else {
                    buffer += " " + attr.name;
                }
            }
            buffer += ">" + stringifyChildren(node) + "</" + node.tagName + ">";
            return buffer;
        }
        case "StyleElement": {
            return "<style>" + stringify_sheet_1.stringifyCSSSheet(node.sheet, null) + "</style>";
        }
        case "Text": {
            return node.value;
        }
        default: {
            throw new Error("can't handle " + node.kind);
        }
    }
};
var stringifyChildren = function (node) {
    return node.children.map(exports.stringifyVirtualNode).join("");
};
